Package org.apache.groovy.json.internal

## Class ValueList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<java.lang.Object>
    - - org.apache.groovy.json.internal.ValueList

- All Implemented Interfaces:
    `java.lang.Iterable<java.lang.Object>`, `java.util.Collection<java.lang.Object>`, `java.util.List<java.lang.Object>`

      public class ValueList
      extends java.util.AbstractList<java.lang.Object>

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueList​(boolean lazyChop)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(java.lang.Object obj)` |
    `void` | `chopList()` |
    `void` | `clear()` |
    `java.lang.Object` | `get​(int index)` |
    `java.util.Iterator<java.lang.Object>` | `iterator()` |
    `java.util.List<java.lang.Object>` | `list()` |
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

- - ### Constructor Detail

    - #### ValueList

          public ValueList​(boolean lazyChop)

  - ### Method Detail

    - #### get

          public java.lang.Object get​(int index)

      Specified by:
        `get` in interface `java.util.List<java.lang.Object>`
      Specified by:
        `get` in class `java.util.AbstractList<java.lang.Object>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<java.lang.Object>`
      Specified by:
        `size` in interface `java.util.List<java.lang.Object>`
      Specified by:
        `size` in class `java.util.AbstractCollection<java.lang.Object>`

    - #### iterator

          public java.util.Iterator<java.lang.Object> iterator()

      Specified by:
        `iterator` in interface `java.util.Collection<java.lang.Object>`
      Specified by:
        `iterator` in interface `java.lang.Iterable<java.lang.Object>`
      Specified by:
        `iterator` in interface `java.util.List<java.lang.Object>`
      Overrides:
        `iterator` in class `java.util.AbstractList<java.lang.Object>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<java.lang.Object>`
      Specified by:
        `clear` in interface `java.util.List<java.lang.Object>`
      Overrides:
        `clear` in class `java.util.AbstractList<java.lang.Object>`

    - #### add

          public boolean add​(java.lang.Object obj)

      Specified by:
        `add` in interface `java.util.Collection<java.lang.Object>`
      Specified by:
        `add` in interface `java.util.List<java.lang.Object>`
      Overrides:
        `add` in class `java.util.AbstractList<java.lang.Object>`

    - #### chopList

          public void chopList()

    - #### list

          public java.util.List<java.lang.Object> list()